
Core - Bug # 51190

Status: Resolved Priority: Should have
Author: Peter Niederlag Category:
Created: 2013-08-19 Assigned To:
Updated: 2013-08-30 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: utf-8/multibyte characters break file list menu item
Description

Steps to reproduce
    1. Create a folder with some umlaut(special character) in your storage (example "Bärentatze")
    2. select the file list module and jump around your files and folders. this works pretty nice
    3. select folder "Bärentatze" or a folder underneath
    4. switch to some other random module (page, list, ...)
    5. select file list module again on the left
    6. <peng /> due to some escape/encoding issues the file list will report a failure on first access

Source of problem
In typo3/sysext/filelist/Classes/Controller/FileListController.php the following line will become part of the created inline
Javascript(!):

if (top.fsMod) top.fsMod.recentIds["file"] = unescape("' . rawurlencode($this->id) . '");

unfortunatly unescape(javascript) will only work on ASCII but not on utf8. It even seems unecessary to decode the string at all,
rawurlencode prepares the string in a way that can be consumed for usage as part of an url straight away.

Related issues:
related to Core - Bug # 51319: Broken error handling for not existing folder Resolved 2013-08-24

Associated revisions
Revision a3c653d8 - 2013-08-26 17:59 - Peter Niederlag 

[BUGFIX] utf8/multibyte character breaks menu filelist

Resolves: #51190
Releases: 6.2, 6.1
Change-Id: I105e23b12659495b4058edbc8091eee4374d58b9

Revision c1b09d65 - 2013-08-27 20:49 - Peter Niederlag 

[BUGFIX] utf8/multibyte character breaks menu filelist

Resolves: #51190
Releases: 6.2, 6.1
Change-Id: I105e23b12659495b4058edbc8091eee4374d58b9
Reviewed-on: https://review.typo3.org/23278
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Oliver Klee
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

Revision 544d446b - 2013-08-27 23:43 - Peter Niederlag 

[BUGFIX] utf8/multibyte character breaks menu filelist

Resolves: #51190
Releases: 6.2, 6.1
Change-Id: I105e23b12659495b4058edbc8091eee4374d58b9
Reviewed-on: https://review.typo3.org/23378
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History
#1 - 2013-08-23 14:28 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23278

#2 - 2013-08-23 14:29 - Peter Niederlag
- TYPO3 Version changed from 6.1 to 6.2

#3 - 2013-08-26 18:30 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a3c653d8cbcad4b33a7a45bd48149b9e5d77e55e.

#4 - 2013-08-27 09:22 - Peter Niederlag
- Status changed from Resolved to Under Review
- % Done changed from 100 to 0

wrong status update by push in privat sandbox branch :(
The patch is still pending for +2

#5 - 2013-08-27 20:49 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.
It is available at https://review.typo3.org/23378
#6 - 2013-08-27 21:30 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c1b09d6532536d347d0679b3ba6c4bd4764d56ff.

#7 - 2013-08-28 14:56 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master_new has been pushed to the review server.
It is available at https://review.typo3.org/23411

#8 - 2013-08-30 11:40 - Peter Niederlag
- Status changed from Under Review to Resolved

issue is fixed and merged to master(6.2) and 6.1
